Notifly
API ReferenceEnvironment Variables

Get environment variable

Returns a single environment variable by key. Secret values are masked.

GET
/v1/environment-variables/{variableKey}

Returns a single environment variable by key. Secret values are masked.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

variableKey*string

The unique key of the environment variable (e.g. BASE_URL)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/environment-variables/BASE_URL"
{  "data": {    "_id": "string",    "_organizationId": "string",    "key": "string",    "type": "string",    "isSecret": true,    "values": [      {        "_environmentId": "string",        "value": "string"      }    ],    "createdAt": "string",    "updatedAt": "string"  }}